~ubuntu-branches/ubuntu/lucid/wpasupplicant/lucid-updates

Viewing all changes in revision 2.1.28.

  • Committer: Bazaar Package Importer
  • Author(s): Kel Modderman, Kel Modderman, Reinhard Tartler
  • Date: 2008-07-16 22:59:25 UTC
  • mfrom: (1.1.11 upstream)
  • mto: This revision was merged to the branch mainline in revision 4.
  • Revision ID: james.westby@ubuntu.com-20080716225925-p3qctv42mwbh7uno
Tags: 0.6.4~git20080716.93ef879-1
[ Kel Modderman ]
* (NOT RELEASED YET) New upstream git snapshot.
* Drop patches applied upstream:
  - 10_silence_siocsiwauth_icotl_failure.patch
  - 11_avoid_dbus_version_namespace.patch
  - 12_fix_potential_use_after_free.patch
  - 13_defined_IEEE8021X_EAPOL.patch
  - 14_fix_compile_without_eap.patch
  - 15_silence_out_of_bounds_warnings.patch
  - 41_manpage_format_fixes.patch
  - 42_manpage_explain_available_drivers.patch
  - 43_remove_w_from_help.patch
  - 50_wext_dont_overwrite_bss_freq.patch
  - 51_dont_reschedule_specific_scans_for_hidden_ssids.patch
  - 52_handle_mac80211_mode_switch.patch
  - 53_give_adhoc_assoc_more_time.patch
* Drop -20_wpa_gui_qt4_disable_link_prl.patch, the qt4 linking problem has
  been fixed by our qt4 maintainers.
* Refresh remaining patch series.
* Increase Standards_version to 3.8.0. Explain in debian/README.Debian-source
  that the `debian/rules patch` command is required to prepare the source
  tree for building.
* Cleanup debian/wpasupplicant.links, removing trailing whitespace and
  leading / from target symlink pathname.
* Remove debian/README.Debian, the information therin was irrelevant for the
  current release cycle, and is better explained by the README.modes
  document.
* Move debian/README.modes to debian/README.Debian, and create a backwards
  compat symlink (/usr/share/doc/wpasupplicant/README.modes.gz ->
  README.Debian.gz) to avoid breaking current online documentation.
* Fix spelling error in new debian/README.Debian found by lintian.
* Don't install the wpa_supplicant/eap_testing.txt document, it contains
  information about development features and testing that is not possible
  with what is provided by the wpasupplicant package.
* Remove the QMAKE variable from debian/rules, it is no longer used with
  upstream build system.
* Remove debian/wpagui.install and instead invoke dh_install explicitly in
  debian/rules, making use of the WPAGUI variable, to have the correct
  version of wpa_gui installed (assist in switch to-fro different QT ports).
* Remove possible bashisms (local(x, y)) from debian/ifupdown/functions.sh.
* Add rudimentary locking system when wpa_action(8) calls ifup/ifdown, so
  that /etc/network/if-*.d/wpasupplicant can differentiate between admin
  calling ifup/ifdown or wpa_action. (Closes: #488078, #373180)
* When wpa_action calls ifup/ifdown, use verbose command line option for
  more detailed log of what hook scripts are executed.
* wpa-ifupdown.init should always stop wpa_action daemon, ifupdown is only
  guaranteed to stop it if interface is currently configured.
* Move debian/README.Debian-source to debian/README.source, as policy seem
  to prefer this filename now as of version 3.8.0.

[ Reinhard Tartler ]
* lower debhelper compat level to 6 to ease backporting

expand all expand all

Show diffs side-by-side

added added

removed removed

Lines of Context: